Subject: Re: [PATCH] ppc32: 0/2 add support for Sky Computers HDPU Compute blade

From: Brian Waite <[email-masked]>
Date: Thu, 17 Mar 2005 12:47:16 -0500

On Thursday 17 March 2005 12:44, Mark A. Greer wrote:
> Brian Waite wrote:
> 
> >+#define HDPU_INTERNAL_SRAM_BASE               0xfbfc0000
> >+#define HDPU_INTERNAL_SRAM_SIZE               0x00040000
> >  
> >
> I haven't gone through in detail yet but one thing I did notice was that 
> you don't have the proper SRAM alignment or size.  The SRAM on the 
> 64[34]60 is 2MB so it must be aligned on a boundary that's a multiple of 
> 2MB.
> 
Mark, 
	Argh that is a carry over from a bad experiment in consolidating memory space. 
I don't use the SRAM for anything so it will not break the code so I will provide a patch on top 
of the platform patch to fix this if that works for you.

Thanks
Brian